mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Content types , , and can be exported as byte arrays. Therefore, all three formats are serialized certificates. differs from an exported file in that it is created by using the CertSerializeCertificateStoreElement function, which serializes both the encoded certificate and its encoded properties. If you export the same object in both formats and view the resulting byte arrays, you will see that the two are different.

Specifies the format of an X.509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  An Authenticode X.509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  A single X.509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  A PFX-formatted certificate. The Pfx value is identical to the Pkcs12 value.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  A PKCS #12–formatted certificate. The Pkcs12 value is identical to the Pfx value.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  A PKCS #7–formatted certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  A single serialized X.509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  A serialized store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ContentType

  An unknown X.509 certificate.